%global forgeurl https://github.com/facebook/netconsd

Name:           netconsd
Version:        v0.1
Release:        1.20221010110317223768.main.8.g4457478
Summary:        The Netconsole Daemon

License:        BSD
URL:            https://facebookmicrosites.github.io/netconsd
Source:         netconsd-v0.1.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libstdc++-static

%description
This is a daemon for receiving and processing logs from the Linux Kernel, as
emitted over a network by the kernel's netconsole module. It supports both the
old "legacy" text-only format, and the new extended format added in v4.4.

The core of the daemon does nothing but process messages and drop them: in order
to make the daemon useful, the user must supply one or more "output modules".
These modules are shared object files which expose a small ABI that is called by
netconsd with the content and metadata for netconsole messages it receives.

%prep
%forgesetup

%build
%set_build_flags
%make_build
%make_build utils

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/netconsd

install -m0755 netconsd %{buildroot}%{_bindir}
install -m0755 util/netconsblaster %{buildroot}%{_bindir}
install -m0755 modules/*.so %{buildroot}%{_libdir}/netconsd

%files
%license LICENSE
%doc README.md
%{_bindir}/netconsd
%{_bindir}/netconsblaster
%{_libdir}/netconsd

%changelog
* Mon Oct 10 2022 Packit <hello@packit.dev> - v0.1-1.20221010110317223768.main.8.g4457478
- Add selftest module to netconsd repo (#11) (Domenico Cerasuolo)
- Add rust blaster util to netconsd repo (#10) (Domenico Cerasuolo)
- Add example rust module to netconsd repo (#8) (Domenico Cerasuolo)
- packit: disable rpmautospec (#9) (Davide Cavalca)
- formatting changes from black 22.3.0 (John Reese)
- Use dedicated copr for PackIt (#7) (Davide Cavalca)
- Support setting a destination UDP port (Jonathan Lassoff)
- netconsd: add PackIt config (#5) (Davide Cavalca)
